package com.application.GUI.Panes;

import com.application.GUI.PopUpWindows.LoginPopup;
import javafx.scene.control.Button;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.HBox;
import javafx.scene.layout.Priority;
import javafx.scene.layout.Region;

import java.io.FileInputStream;
import java.io.FileNotFoundException;

import static com.application.DB.HelpingFunctions.isIsAdmin;

/**
 * This class creates the logobar
 *
 * @author Eilert Tunheim, Karin Pettersen, Mads Arnesen
 * @version 1.0.0
 */
public class CreateLogoBar {

    // The login button
    private static Button login = new Button("Login");

    /**
     * This function imports the logos and defines the alignments
     *
     * @return a logoBar containing the logos in proper alignments
     * @throws FileNotFoundException throws exception if an error occurs
     */
    public HBox createLogoBar() throws FileNotFoundException {
        // Defining the image paths
        Image moelvenLogoM = new Image(new FileInputStream("src/main/resources/com.application/GUI/moelven_logo_m.png"));
        Image moelvenLogoTitle = new Image(new FileInputStream("src/main/resources/com.application/GUI/moelven_logo_title.png"));

        // Creating imageview objects
        ImageView imageViewM = new ImageView(moelvenLogoM);
        ImageView imageViewTitle = new ImageView(moelvenLogoTitle);

        // Defining resolution and aspect ratio
        imageViewM.setFitHeight(100);
        imageViewM.setPreserveRatio(true);
        imageViewTitle.setFitHeight(100);
        imageViewTitle.setPreserveRatio(true);

        // Defining alignments
        Region region1 = new Region();
        HBox.setHgrow(region1, Priority.ALWAYS);

        Region region2 = new Region();
        HBox.setHgrow(region2, Priority.ALWAYS);

        // Login button
        getLogin().setOnAction(event -> {
            if(getLogin().getText().equals("Login")){
                LoginPopup.login();
            } else {
                if(isIsAdmin()){
                    LoginPopup.adminPopup();
                } else {
                    LoginPopup.userPopup();
                }
            }
        });

        return new HBox(imageViewM, region1, imageViewTitle, region2, getLogin());
    }

    public static Button getLogin() {
        return login;
    }
}