package com.application.GUI.PopUpWindows;

import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.input.KeyCode;
import javafx.scene.layout.VBox;
import javafx.scene.text.TextAlignment;
import javafx.stage.Modality;
import javafx.stage.Stage;

/**
 * This class handles functionality regarding a notification window
 *
 * @author Eilert Tunheim, Karin Pettersen, Mads Arnesen
 * @version 1.0.0
 */
public class NotificationPopUp {

        /**
         * This function displays the notification window
         *
         * @param message input parameter for what to display in the window
         */
        public static void displayNotificationWindow(String message){

        Stage window = new Stage();
        window.initModality(Modality.APPLICATION_MODAL);
        window.setTitle("Notification window");

        // Defines label
        Label messageLabel = new Label();
        messageLabel.setText(message);
        messageLabel.setWrapText(true);
        messageLabel.setTextAlignment(TextAlignment.CENTER);

        // Define buttons and handles functionality
        Button close = new Button("Close");
        close.setOnAction(event -> window.close());

        close.setOnKeyPressed( event -> {
                if( event.getCode() == KeyCode.ENTER ) {
                                window.close();
                }
        });

        // Adds the components to the VBox
        VBox layout = new VBox(10);
        layout.setAlignment(Pos.CENTER);
        layout.getChildren().addAll(messageLabel,close);

        Scene scene = new Scene(layout, 300, 200);
        scene.getStylesheets().add(InputPopup.class.getResource("/com.application/CSS/styleSheet.css").toExternalForm());
        window.setScene(scene);
        window.showAndWait();
    }

}


